com.rscja.deviceapi.entity

## Class Gen2Entity

- java.lang.Object
- - com.rscja.deviceapi.entity.Gen2Entity

-     public class Gen2Entity
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gen2Entity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkParameter()`
    `int` | `getLinkFrequency()` Link Frequency 设置(Link Frequency setting)
    `int` | `getMaxQ()`
    `int` | `getMinQ()`
    `int` | `getQ()` 获取Q值(Q value)
    `int` | `getQueryDR()` 获取query命令的DR参数(DR parameter of the query command)
    `int` | `getQueryM()` 获取query命令的M参数(M parameter of the query command )
    `int` | `getQuerySel()` 获取query命令的sel参数(sel parameter of the query command)
    `int` | `getQuerySession()` 获取query命令的session参数(session parameter of the query command)
    `int` | `getQueryTarget()` 获取query命令的Target参数(Target parameter of the query command)
    `int` | `getQueryTRext()` 获取query命令的TRext参数(TRext parameter of the query command )
    `int` | `getSelectAction()` 获取select 命令的Action参数 (Action parameter of the select command)
    `int` | `getSelectTarget()` 获取select命令的Target参数 (Target parameter of the select command)
    `int` | `getSelectTruncate()` 获取select命令的Truncate参数(Truncate parameter of the select command)
    `int` | `getStartQ()`
    `void` | `setLinkFrequency(int linkFrequency)` Link Frequency 设置(Link Frequency setting)
    `void` | `setMaxQ(int maxQ)`
    `void` | `setMinQ(int minQ)`
    `void` | `setQ(int q)` 设置Q值(Q value)
    `void` | `setQueryDR(int queryDR)` 设置query命令的DR参数(DR parameter of the query command)
    `void` | `setQueryM(int queryM)` 设置query命令的M参数(M parameter of the query command )
    `void` | `setQuerySel(int querySel)` 设置query命令的sel参数(sel parameter of the query command)
    `void` | `setQuerySession(int querySession)` 设置query命令的session参数(session parameter of the query command)
    `void` | `setQueryTarget(int queryTarget)` 设置 query命令的Target参数(Target parameter of the query command)
    `void` | `setQueryTRext(int queryTRext)` 设置query命令的TRext参数(TRext parameter of the query command )
    `void` | `setSelectAction(int selectAction)` 设置select 命令的Action参数 (Action parameter of the select command)
    `void` | `setSelectTarget(int selectTarget)` 设置select命令的Target参数 (Target parameter of the select command)
    `void` | `setSelectTruncate(int selectTruncate)` 设置select命令的Truncate参数(Truncate parameter of the select command)
    `void` | `setStartQ(int startQ)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Gen2Entity

          public Gen2Entity()

  - ### Method Detail

    - #### checkParameter

          public boolean checkParameter()

    - #### getSelectTarget

          public int getSelectTarget()

      获取select命令的Target参数 (Target parameter of the select command)
      Returns:
        0:s0 1:s1 2:s2 3:s3 4:SL

    - #### setSelectTarget

          public void setSelectTarget(int selectTarget)

      设置select命令的Target参数 (Target parameter of the select command)
      Parameters:
        `selectTarget` - 0:s0 1:s1 2:s2 3:s3 4:SL

    - #### getSelectAction

          public int getSelectAction()

      获取select 命令的Action参数 (Action parameter of the select command)
      Returns:
        0( Matching: assert SL or inventoried->A ; Non-Matching: de-assert SL or inventoried->B)
        1( Matching: assert SL or inventoried->A ; Non-Matching: do nothing)
        2( Matching: do nothing ; Non-Matching: de-assert SL or inventoried->B)
        3( Matching: negate SL or (A -> B, B -> A) ; Non-Matching: do nothing
        4( Matching: de-assert SL or inventoried->B ; Non-Matching: de-assert SL or inventoried->A
        5( Matching: de-assert SL or inventoried->B ; Non-Matching: do nothing
        6( Matching: do nothing ; Non-Matching: de-assert SL or inventoried->A
        7( Matching: do nothing ; Non-Matching: negate SL or (A->B, B->A))

    - #### setSelectAction

          public void setSelectAction(int selectAction)

      设置select 命令的Action参数 (Action parameter of the select command)
      Parameters:
        `selectAction` - 0( Matching: assert SL or inventoried->A ; Non-Matching: de-assert SL or inventoried->B)
        1( Matching: assert SL or inventoried->A ; Non-Matching: do nothing)
        2( Matching: do nothing ; Non-Matching: de-assert SL or inventoried->B)
        3( Matching: negate SL or (A -> B, B -> A) ; Non-Matching: do nothing
        4( Matching: de-assert SL or inventoried->B ; Non-Matching: de-assert SL or inventoried->A
        5( Matching: de-assert SL or inventoried->B ; Non-Matching: do nothing
        6( Matching: do nothing ; Non-Matching: de-assert SL or inventoried->A
        7( Matching: do nothing ; Non-Matching: negate SL or (A->B, B->A))

    - #### getSelectTruncate

          public int getSelectTruncate()

      获取select命令的Truncate参数(Truncate parameter of the select command)
      Returns:
        0:Disable truncation , 1:Enable truncation

    - #### setSelectTruncate

          public void setSelectTruncate(int selectTruncate)

      设置select命令的Truncate参数(Truncate parameter of the select command)
      Parameters:
        `selectTruncate` - 0:Disable truncation , 1:Enable truncation

    - #### getQ

          public int getQ()

      获取Q值(Q value)
      Returns:
        0:固定Q算法,1:动态Q算法 (0:fixed Q algorithm, 1:dynamic Q algorithm)
        注意：在固定Q算法下，Q固定为StartQ，忽略MinQ 和 MaxQ (note: in fixed algorithm, Q will be fixed as StartQ, neglect MinQ and MaxQ)

    - #### setQ

          public void setQ(int q)

      设置Q值(Q value)
      Parameters:
        `q` - 0:固定Q算法, 1:动态Q算法 (0:fixed Q algorithm, 1:dynamic Q algorithm)
        注意：在固定Q算法下，Q固定为StartQ，忽略MinQ 和 MaxQ (note: in fixed algorithm, Q will be fixed as StartQ, neglect MinQ and MaxQ)

    - #### getStartQ

          public int getStartQ()

      Returns:
        0,1,2,3.....15

    - #### setStartQ

          public void setStartQ(int startQ)

      Parameters:
        `startQ` - 0,1,2,3.....15

    - #### getMinQ

          public int getMinQ()

      Returns:
        0,1,2,3.....15

    - #### setMinQ

          public void setMinQ(int minQ)

      Parameters:
        `minQ` - 0,1,2,3.....15

    - #### getMaxQ

          public int getMaxQ()

      Returns:
        0,1,2,3.....15

    - #### setMaxQ

          public void setMaxQ(int maxQ)

      Parameters:
        `maxQ` - 0,1,2,3.....15

    - #### getQueryDR

          public int getQueryDR()

      获取query命令的DR参数(DR parameter of the query command)
      Returns:
        0:8 , 1:64/3

    - #### setQueryDR

          public void setQueryDR(int queryDR)

      设置query命令的DR参数(DR parameter of the query command)
      Parameters:
        `queryDR` - 0:8 , 1:64/3

    - #### getQueryM

          public int getQueryM()

      获取query命令的M参数(M parameter of the query command )
      Returns:
        0:FM0, 1:Miller2, 2:Miller4, 3:Miller8

    - #### setQueryM

          public void setQueryM(int queryM)

      设置query命令的M参数(M parameter of the query command )
      Parameters:
        `queryM` - 0:FM0, 1:Miller2, 2:Miller4, 3:Miller8

    - #### getQueryTRext

          public int getQueryTRext()

      获取query命令的TRext参数(TRext parameter of the query command )
      Returns:
        0:No pilot, 1:Use pilot

    - #### setQueryTRext

          public void setQueryTRext(int queryTRext)

      设置query命令的TRext参数(TRext parameter of the query command )
      Parameters:
        `queryTRext` - 0:No pilot, 1:Use pilot

    - #### getQuerySel

          public int getQuerySel()

      获取query命令的sel参数(sel parameter of the query command)
      Returns:
        0:All, 1:All, 2:~SL ,3:SL

    - #### setQuerySel

          public void setQuerySel(int querySel)

      设置query命令的sel参数(sel parameter of the query command)
      Parameters:
        `querySel` - 0:All, 1:All, 2:~SL ,3:SL

    - #### getQuerySession

          public int getQuerySession()

      获取query命令的session参数(session parameter of the query command)
      Returns:
        0:S0, 1:S1, 2:S2, 3:S3

    - #### setQuerySession

          public void setQuerySession(int querySession)

      设置query命令的session参数(session parameter of the query command)
      Parameters:
        `querySession` - 0:S0, 1:S1, 2:S2, 3:S3

    - #### getQueryTarget

          public int getQueryTarget()

      获取query命令的Target参数(Target parameter of the query command)
      Returns:
        0:A, 1:B

    - #### setQueryTarget

          public void setQueryTarget(int queryTarget)

      设置 query命令的Target参数(Target parameter of the query command)
      Parameters:
        `queryTarget` - 0:A, 1:B

    - #### getLinkFrequency

          public int getLinkFrequency()

      Link Frequency 设置(Link Frequency setting)
      Returns:
        0:40KHz, 1:160KHz, 2:200KHz, 3:250KHz, 4:300KHz, 5:320KHz, 6:400KHz, 7:640KHz

    - #### setLinkFrequency

          public void setLinkFrequency(int linkFrequency)

      Link Frequency 设置(Link Frequency setting)
      Parameters:
        `linkFrequency` - 0:40KHz, 1:160KHz, 2:200KHz, 3:250KHz, 4:300KHz, 5:320KHz, 6:400KHz, 7:640KHz

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`